/*
   Copyright (C) 1999
   Eiwa System Management, Inc.

   Permission to use, copy, modify, distribute and sell this software
   and its documentation for any purpose is hereby granted without fee,
   provided that the above copyright notice appear in all copies and
   that both that copyright notice and this permission notice appear
   in supporting documentation. Eiwa System Management,Inc.
   makes no representations about the suitability of this software for any
   purpose.  It is provided "AS IS" with NO WARRANTY.
*/

package JP.co.esm.caddies.doclets;

import com.sun.tools.doclets.standard.ConfigurationStandard;
import com.sun.javadoc.RootDoc;

/**
  * insert a link for UML to a header of Standard
  * 
  * @author Taisuke Fukuno
  */
public class ConfigurationStandardUML extends ConfigurationStandard {
	static final String HEADER_APPEND = "</em><SCRIPT LANGUAGE=\"JavaScript\">  <!--\ns=document.URL;m=s.lastIndexOf('\\\\');n=s.lastIndexOf('/');if(m>n)n=m;if(n<0)n=0;else n++;s=s.substring(n);if(s.lastIndexOf('-')<n)document.write(\"<br><a href=uml-\"+s+\">[UML]</a>\");// --> </SCRIPT><em>";
    public void setSpecificDocletOptions(RootDoc rootdoc) {
		super.setSpecificDocletOptions(rootdoc);
		header += HEADER_APPEND;
	}
}

/*
</em><SCRIPT LANGUAGE="JavaScript">
<!--
s = document.URL;
m = s.lastIndexOf('\\');
n = s.lastIndexOf('/');
if (m > n)
	n = m;
if (n < 0)
	n = 0;
else
	n++;
s = s.substring(n);
if (s.lastIndexOf('-') < n)
	document.write("<br><a href=uml-" + s + ">[UML]</a>"); 
// --> </SCRIPT><em>
*/
